#define BASE_RES_ID			128
#define APPLE_MENU_ID		128
#define FILE_MENU_ID			129
#define EDIT_MENU_ID			130
#define COMM_MENU_ID			131
#define DOWNLOAD_MENU_ID	132
#define UPLOAD_MENU_ID		133

#define WNE_TRAP_NUM 0x60
#define UNIMPL_TRAP_NUM 0x9f
#define MIN_SLEEP 0L
#define NIL_MOUSE_REGION 0L

#define ABOUT_ITEM 1

#define PREFS_ITEM 1
#define QUIT_ITEM 3

#define UNDO_ITEM 1
#define CUT_ITEM 3
#define COPY_ITEM 4
#define PASTE_ITEM 5
#define CLEAR_ITEM 6

#define ALM_ITEM 1
#define RTE_ITEM 2
#define TRK_ITEM 3
#define WPT_ITEM 4

#define NMEA_ITEM 4

#define ABOUT_DLOG 128
#define SETUP_DLOG 129
#define ERROR_DLOG 130
#define MESSAGE_DLOG 131

/* function prototypes */

void	ChangePrefs(void);
void	doAbout(void);
void	GetPrefs(void);
void	SavePrefs(void);
void	HandleEvent(void);
void	HighliteButton(DialogPtr dialog, short itemNo, Pattern pat);
void	MenuBarInit(void);
short	OpenInFile(SFReply *replyPtr);
short	OpenOutFile(SFReply reply);
short	GetLine(short refNum, char *line, short init);
void	ToolBoxInit(void);
void	InitBarGraph(void);
void	SetBarGraph(double value);
void	CloseBarGraph(void);
void	Error(char *message);
void	Message(char *message);