#include "MacInterface.h"
#include "Garmin.h"

Boolean gDone, gWNEImplemented;

static void MainLoop(void);

/* --------------------------------------------------------------------------------- */

void main()
{
	ToolBoxInit();
	MenuBarInit();
	GetPrefs();
	MainLoop();
	ExitToShell();
}

/* --------------------------------------------------------------------------------- */

static void MainLoop()
{	
	gDone = FALSE;
	gWNEImplemented = (NGetTrapAddress(WNE_TRAP_NUM, ToolTrap) !=
							 NGetTrapAddress(UNIMPL_TRAP_NUM, ToolTrap));
	
	while(!gDone)
		HandleEvent();
}

