#include "Garmin.h"
#include "Prefs.h"

/* --------------------------------------------------------------------------------- */

void datumParams(short datum, double *a, double *es)
{
	extern struct DATUM const gDatum[];
	extern struct ELLIPSOID const gEllipsoid[];
	extern struct PREFS gPrefs;
	
	double f = 1.0 / gEllipsoid[gDatum[datum].ellipsoid].invf;	// flattening

	*es = 2 * f - f*f;												// eccentricity^2
	*a = gEllipsoid[gDatum[datum].ellipsoid].a;				// semimajor axis
}

