#include "Prefs.h"
#include "Garmin.h"
#include "MacInterface.h"

extern struct PREFS gPrefs;

/* --------------------------------------------------------------------------------- */

void GetPrefs()
{
	short vRefNum, wdRefNum, refNum;
	long dirID;
	long nBytes = (long)sizeof(struct PREFS);
	
	if (FindFolder(kOnSystemDisk, 'pref', FALSE, &vRefNum, &dirID) == noErr) {
		if (HOpen(vRefNum, dirID, "\pMacGPS Prefs", fsRdPerm, &refNum) == fnfErr) {
			gPrefs.datum = 61;
			gPrefs.offset = 0.0;
			gPrefs.format = DDD;
			gPrefs.creator = 'QED1';
			OpenWD( vRefNum, dirID, 0L, &wdRefNum);
			Create("\pMacGPS Prefs", wdRefNum, 'pref', 'wAEj');
			FSOpen("\pMacGPS Prefs", wdRefNum, &refNum);
			FSWrite(refNum, &nBytes, &gPrefs);
			FSClose(refNum);
		}
		else {
			FSRead(refNum, &nBytes, &gPrefs);
			FSClose(refNum);
		}
	}
}

/* --------------------------------------------------------------------------------- */

void SavePrefs()
{
	short vRefNum, refNum;
	long dirID;
	long nBytes = sizeof(struct PREFS);

	if (FindFolder(kOnSystemDisk, 'pref', FALSE, &vRefNum, &dirID) == noErr) {
		if (HOpen(vRefNum, dirID, "\pMacGPS Prefs", fsWrPerm, &refNum) == noErr) {
			FSWrite(refNum, &nBytes, &gPrefs);
			FSClose(refNum);
		}
	}
}