#include "MacInterface.h"

#define REMOVE_ALL_EVENTS 0

MenuHandle gAppleMenu, gFileMenu, gEditMenu, gUploadMenu, gDownloadMenu;

/* --------------------------------------------------------------------------------- */

void ToolBoxInit()
{
	InitGraf( &qd.thePort );
	InitFonts();
	FlushEvents(everyEvent, REMOVE_ALL_EVENTS);
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();
}

/* --------------------------------------------------------------------------------- */

void MenuBarInit()
{
	Handle myMenuBar = GetNewMBar(BASE_RES_ID);
	SetMenuBar(myMenuBar);
	gAppleMenu = GetMHandle(APPLE_MENU_ID);
	gFileMenu = GetMenu(FILE_MENU_ID);
	gEditMenu = GetMenu(EDIT_MENU_ID);
	gUploadMenu = GetMenu(UPLOAD_MENU_ID);
	gDownloadMenu = GetMenu(DOWNLOAD_MENU_ID);

	InsertMenu(gDownloadMenu, -1);
	InsertMenu(gUploadMenu, -1);
	
	AddResMenu(gAppleMenu, 'DRVR');

	DrawMenuBar();
}

